Name:		fastquery
Version:	0.8.4.0
Release:	1%{?dist}
Summary:	An Efficient Compressed Bitmap Index Technology

Group:		Development/Databases
License:	BSD
URL:		https://codeforge.lbl.gov/projects/fastquery/
Source0:	https://codeforge.lbl.gov/frs/download.php/417/fastquery-0.8.4.0.tar.gz

BuildRequires:  flex gcc-c++ doxygen fastbit-liberouter-devel
Requires:	sharutils fastbit-liberouter

%description
FastQuery provides a simple API for indexing and querying scientific format
datasets using the FastBit bitmap index technology. Datasets can be retrieved
using complex compound range queries such as "(energy > 100) && (70 < pressure
< 90)". The bitmap index technology only retrieves the data elements that
satisfy the query condition and shows significant speedup compared with reading
the entire datasets.

%package -n lib%name
Summary: Shared libraries of FastBit
Group: System/Libraries
Provides:fastquery

%description -n lib%name
FastQuery provides a simple API for indexing and querying scientific format
datasets using the FastBit bitmap index technology. Datasets can be retrieved
using complex compound range queries such as "(energy > 100) && (70 < pressure
< 90)". The bitmap index technology only retrieves the data elements that
satisfy the query condition and shows significant speedup compared with reading
the entire datasets.

This package contains shared libraries of FastQuery.

%package -n lib%name-devel
Summary: Development files of FastBit
Group: Development/C++
Requires: lib%name = %version-%release
Provides: fastquery-devel

%description -n lib%name-devel
FastQuery provides a simple API for indexing and querying scientific format
datasets using the FastBit bitmap index technology. Datasets can be retrieved
using complex compound range queries such as "(energy > 100) && (70 < pressure
< 90)". The bitmap index technology only retrieves the data elements that
satisfy the query condition and shows significant speedup compared with reading
the entire datasets.

This package contains development files of FastQuery.

%prep
%setup -q

%build
%configure --prefix=%{buildroot} --with-fastbit=/usr --disable-parallel --with-hdf5=/usr --enable-shared CXXFLAGS="-fPIC"
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

# Introduce the library to the system
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n lib%name
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/libfastquery.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/libfastquery.so
%_libdir/libfastquery.la
%_libdir/libfastquery.a
